OpenNMS API 1.2.9

## org.opennms.web.eventconf.parsers
Class EventConfWriter

    java.lang.Object
      org.opennms.web.parsers.XMLWriter
          org.opennms.web.eventconf.parsers.EventConfWriter

public class EventConfWriter
extends XMLWriter

This class is used to save data to the eventconf.xml file.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary

Fields inherited from class org.opennms.web.parsers.XMLWriter
`DTD_EXTENSION, m_baseName, m_docBuilder, m_document, m_dtd, m_dtdPath, m_fileName, m_headerInfo, m_xmlPath, XML_EXTENSION`

Constructor Summary
`EventConfWriter(java.lang.String fileName)` Default constructor, intializes the member variables

Method Summary
`private org.w3c.dom.Element` `buildCorrelationElement(org.w3c.dom.Element parent, Correlation correlation)`
`private org.w3c.dom.Element` `buildGlobalElement(org.w3c.dom.Element parent, Global global)`
`private org.w3c.dom.Element` `buildSnmpElement(org.w3c.dom.Element parent, Snmp snmp)`
`protected void` `saveDocument(java.util.Collection events)` This method saves the list of events to the specified file

Methods inherited from class org.opennms.web.parsers.XMLWriter
`addCDataElement, addDataElement, addEmptyElement, backup, getDTD, getVersion, loadDTD, save, serializeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventConfWriter

    public EventConfWriter(java.lang.String fileName)
                    throws XMLWriteException

  Default constructor, intializes the member variables

Method Detail

### saveDocument

    protected void saveDocument(java.util.Collection events)
                         throws XMLWriteException

  This method saves the list of events to the specified file

  Specified by:
    `saveDocument` in class `XMLWriter`
  Throws:
    `XMLWriteException,` - if the save failed
    `XMLWriteException`

### buildGlobalElement

    private org.w3c.dom.Element buildGlobalElement(org.w3c.dom.Element parent,
                                                   Global global)

### buildSnmpElement

    private org.w3c.dom.Element buildSnmpElement(org.w3c.dom.Element parent,
                                                 Snmp snmp)

### buildCorrelationElement

    private org.w3c.dom.Element buildCorrelationElement(org.w3c.dom.Element parent,
                                                        Correlation correlation)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.